# 2DW23x 基准

by adq, 2022-03-05

2DW231 至 2DW235 是一系列国产精密齐纳基准. 其中, 上海无线电十七厂的产品通过使用掩埋技术, 具有非常低的噪声. 在国内的 bbs.38hot.net 论坛和国外 forum.eevblog.com 中收获无数讨论. 在这里, 作者对感兴趣的部分进行归纳和整理.

TO-39 封装

Vz 5.8V - 6.6V, norm 6.0-6.5

IzR 10mA Rz:≤15Ω (Iz=10mA) Izmax:30mA

αvz:≤5e-6/℃ （I=Izt T1=25℃ T2=75℃）

IR1： Vz=1V Imax=1μA @25℃

IR2: Vz=1V@100℃ Imax=10μA

封装上有钻石图样的上海无线电十七厂产品有低噪声特性, 典型值 336nVpp @ 5.7mA, 236nVpp @ 11.8mA.

正面钻石标记和生产日期, 如 1405; 有侧面彩色点印记. 关于彩色点的意义, eevblog 上 zlymex (国内 38hot 论坛上的 lymex) 和 technix 有一些分歧, 观点包括: 
1. 彩色点标注齐纳负极
2. 彩色点标注不同型号. Red=2DW232, yellow=2DW233, pink=2DW234, green=2DW235.
3. For Shanghai No. 17 Radio Factory their dots don't signify anything regarding pins.

## 会发光的2DW23x by archwang, 2015

http://bbs.38hot.net/forum.php?mod=viewthread&tid=120731

对比上世纪和13年上海无线电17厂的2DW23X, 发现之前的同名称产品工作会有发光. 发光的器件为表面齐纳, 在发光点发生击穿, 因而噪声大; 钻石牌使用掩埋齐纳工艺, 则没有.

## 国产2DW系列基准管的噪声测试比较 by longshort, 2013-06

http://bbs.38hot.net/forum.php?mod=viewthread&tid=49306

测试条件: 6 位读数, 低通截止频率 .8 Hz.
- 2011 出厂, 宝石牌 2DW232 经过 3.5 - 100 ℃ 的 15 次循环: .287ppm
- 朝阳远征 CYZ 牌 2DW232, 镀金引脚, 未经过温度循环老化: .278ppm
- 陕西骊山微电子公司, 骊创2DW14A: .249ppm

## 基准器件的温度循环老化试验 by longshort, 2012-07

http://bbs.38hot.net/forum.php?mod=viewthread&tid=25193

2DW233 循环热冲击老化, 沸水1min - 室温1min - 自来水冲淋1min - 冰水浸泡1min - 室温1min. 58% 的改善率, 但我认为并不显著.

## 上无十七厂版2DW232噪声水平测试 by longshort, 2014-06

http://bbs.38hot.net/forum.php?mod=viewthread&tid=84620

## Ultra Low Noise Reference 2DW232, 2DW233, 2DW23x by zlymex, 2016-09

https://www.eevblog.com/forum/metrology/ultra-low-noise-reference-2dw232-2dw233-2dw23x/

在 TO-39 封装铁罐内, 晶圆用类似环氧树脂固定. 推测超过 100/120℃ 老化加速.

空气流动会造成温度变化, 反映在输出频谱类似 1/f 噪声. 用泡沫包覆可以缓解.

自动化测试: Vz 温度系数是电流的函数, 寻找 0 温漂对应的电流. 测试难点: ADC 位数和动态范围, 电流变化导致温度变化. 可以用输出和一个近似的源进行对比, 因而直流共模变小. (Null Detector)

2DW232 - 2DW235 的零 Tc 电流相同

2016-10 的购买中, 有 2016 和 2015 两批日期代码.

3D 打印做防风帽子, 厚壁使用切片软件设置为气室结构, 隔热更佳. PLA ABS 耐温. 兼顾 TO-39(2DW), TO-99 TO-46(LM399) TO-5(LTZ)

电阻器阵列被建议使用 Vishay NOMCA 和 pots Bourns 3250W 或 VPG 1280G.

电阻器没什么花哨的，Vishay UXB 系列或 PTF56. 基准级齐纳在工作点附件的动态电阻很小, 限流电阻与之分压后的比值是电流源波动对输出的实际影响.

LM399 的齐纳基准部分和 LM329 可能是一致的?

使用 KE2461 注入电流, DMM7510 监测: 5mA, 600uVpp, 166uVrms; 10mA, 6uVrms; 包裹3层毛巾, 30min settle; 暴露空气中则不会稳定
DMM7510 测到了 383nVrms.
VintageNut 表示在空气中零温度系数电流在 7-8mA, 包裹后 6-7mA

Alex Nikitin 的测试表明, 2DW23x 的随机噪声很小, 对温度和气流相对更敏感. 在 7.5mA 6V 下的耗散和自热效应显著, 空气流动可造成能被观察到的漂移, 海绵包裹后也有 ppm 级别的漂移. 在 7.5mA 测定动态电阻 13-14 Ω

## 5V Precision Voltage Reference, Bootalito, 2017-12

https://www.eevblog.com/forum/metrology/5v-precision-voltage-reference/

版主的方案: 2x9V 锂电池, TL432 10.7V, LT1021-5. 推荐使用 MAX6350-5 + 3S LiPo 电池 + 充电管理: LiPo 低自放电 且充电管理方案多.

Andreas 提出, 掩埋齐纳的 5V 基准使用 10V 以上供电可提高 PSRR. 同时提到湿度引发漂移. 出于功耗原因使用 LT1763 电源预稳压. 他的 AD586LQ 样本在6个月连续工作后具有 2ppm/yr 的典型漂移. 他建议在基准附近星型接地, 不建议使用地平面.

Kleinstein 指出, 对比直插器件, SMD 器件受机械/热应力影响更为显著. Andreas 在老化试验中使用了直插原件座以降低影响. David Hess 提到插件座的额外接点在温度梯度下引发热电动势. Bootalito 发现 DIP-8 比较 SOIC-8 具有更好的漂移特性

## https://eevblog.com/forum/metrology/lm399-based-10-v-reference/

其他的精密基准: AD584TH, AD586LQ, MAX6126AASA, MAX6226, AD586LQ, LM334H, REF02DT, ADR444ARZ/ARMZ, LTC6655 ceramic

## https://www.eevblog.com/forum/projects/voltage-reference/

咨询了 MAX6350 掩埋齐纳 ADR4550 REF5050 作廉价基准的问题. 问题在于塑料封装不太好. 建议选择 MAX6350MJA 陶瓷封装. 建议再读 AN-82, 通过 burn-in 释放应力并度过初始老化; ADR4550 60% 湿度阶跃造成最高 200ppm 变化(300hr), 迟滞很小或无法测量.

对廉价基准, 特别注意温度回滞(可能很差). 'reference conditioning', 使用衰减幅度的温度振荡泄放温度相关的应力.

还提到 VRE305A, 陶瓷基板, 买不到, 非常贵.

提到 REF102C(TO-99) 作为转移基准, 经过老化和温度振荡, 并稳定在42° 高精度温控和热绝缘

ISL21009 大量拆机
ADR4550BRUZ $12
MAX6350ESA	$5
REF5050		$5
MAX6126A 	$6
LM399 之前淘宝12包邮